Subject: Re: bug#4982: rgrep can't deal with .gz files
From: Juri Linkov <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 25 Nov 2009 19:28:14 +0200

>> By the way, some ugliness now that I set grep-command to zgrep:
>>
>> gzip: stdout: Broken pipe
>> ./libchewing3-data_0.3.0-2_i386.deb:Binary file (standard input) matches
>>
>> gzip: stdout: Broken pipe
>> ./Nokia_3315_APAC_UG_En.pdf:Binary file (standard input) matches
>
> Yes, zgrep incorrectly processes non-gzipped files.  To search
> recursively in gzipped files, I created a new command `zrgrep'.
> It works like `rgrep' but uses `zgrep' for `grep-program', sets the default
> file name to `*.gz', and sets `grep-highlight-matches' to `always'."

I installed a new command `zrgrep' to search recursively in gzipped files.

-- 
Juri Linkov
http://www.jurta.org/emacs/